Bug 606038 - 'man 5 filesystems' makes no mention of ext4
Summary: 'man 5 filesystems' makes no mention of ext4
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: man-pages   
(Show other bugs)
Version: 13
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Ivana Varekova
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-06-20 05:08 UTC by Bruce Jerrick
Modified: 2010-06-24 12:31 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-06-24 12:31:33 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Bruce Jerrick 2010-06-20 05:08:58 UTC
Description of problem:
In 'man filesystems', there is no mention at all of the ext4 filesystem
(only ext2 and ext3).

Version-Release number of selected component (if applicable):
man-pages-3.23-6.fc13.noarch

How reproducible:
100%

Steps to Reproduce:
1. man 5 filesystems
2. Search for "ext4".

Actual results:
Search returns nothing.

Expected results:
A description of ext4.

Additional info:
There should probably be an indication that ext4 is the default for Linux
(or is that specific to RH/Fedora?).

Comment 1 Eric Sandeen 2010-06-22 20:10:09 UTC
How about this.... most of the descriptions are -very- sparse, so I don't want to write an essay for ext4 ;)

ext4 is the next generation of the ext filesystem series.  In addition to journaling, ext4 supports larger files and filesystems than ext3, and provides other modern features such as preallocation and an extent-based allocator.

Comment 2 Ivana Varekova 2010-06-23 07:36:31 UTC
Thanks, the change sent to upstream.

Comment 3 Ivana Varekova 2010-06-24 12:31:33 UTC
Fixed in man-pages-3.24-7.fc14.


Note You need to log in before you can comment on or make changes to this bug.